$icon-font-path: "/bower_components/bootstrap-sass-official/vendor/assets/fonts/bootstrap/";
$fa-font-path: "/bower_components/font-awesome/fonts";

$brand-primary: #585755;
$brand-warning: #ff9900;

$salesforce-blue: #099ad6;

@import 'bootstrap-sass-official/vendor/assets/stylesheets/bootstrap';
@import 'font-awesome/scss/font-awesome';


/**
 * App-wide Styles
 */

 .info {
  background-color: lighten($brand-info, 30);
  border: 2px solid $brand-info;
  border-radius: 5px;
  padding: 8px;
  font-size: 12px;
  font-style: italic;
 }

.text-yellow {
  color: darken($brand-warning, 5);
  font-weight: bolder;
}

.salesforce-blue {
  background-color: $salesforce-blue;
}


.navbar {
  border-bottom: 1px solid white;
}

.navbar-logo {
  margin-right: 20px;
}

.browsehappy {
    margin: 0.2em 0;
    background: #ccc;
    color: #000;
    padding: 0.2em 0;
}

#messages {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 999;
  width: 100%;
  height: 23px;

  .alert{
    margin:20px;
    margin-top: 60px;
  }
}

html, body {
    width: 100%;
    height: 100%;
    overflow: hidden;
}

body > div {
    height: 100%;
    overflow: scroll;
    -webkit-overflow-scrolling: touch;
}

//animations

.animate {
  -webkit-transition: 0.3s;
}
.animate.ng-enter {
  opacity: 0;
}
.animate.ng-leave {
  opacity: 1;
}
.animate.ng-enter.ng-enter-active {
  opacity: 1;
}
.animate.ng-leave.ng-leave-active {
  opacity: 0;
}

.alert {
  -webkit-transition: 0.5s;
}
.alert.ng-enter {
  opacity: 0;
}
.alert.ng-leave {
  opacity: 1;
}
.alert.ng-enter.ng-enter-active {
  opacity: 1;
}
.alert.ng-leave.ng-leave-active {
  opacity: 0;
}

.fields-container {
  padding: 10px;
}

//utils

.no-wrap {
  white-space:nowrap;
}

h1 {
  font-weight: 400;
}

.panel {
  margin-top: 60px;
}

.source-header {
  cursor: pointer;
}

// Component styles are injected through grunt
// injector
@import 'account/login/login.scss';
@import 'admin/admin.scss';
@import 'blend/blend.scss';
@import 'capture/capture.scss';
@import 'directives/draggableFieldLabel/draggableFieldLabel.scss';
@import 'directives/fieldRemoveButton/fieldRemoveButton.scss';
@import 'directives/fieldStatusButton/fieldStatusButton.scss';
@import 'directives/filterCondition/filterCondition.scss';
@import 'directives/sourceCartouche/sourceCartouche.scss';
@import 'directives/sourceDataView/sourceDataView.scss';
@import 'directives/sourceFilter/sourceFilter.scss';
@import 'directives/toggleButton/toggleButton.scss';
@import 'explore/explore.scss';
@import 'filter/filter.scss';
@import 'main/main.scss';
@import 'organize/organize.scss';
@import 'refine/refine.scss';
@import 'modal/modal.scss';
// endinjector

.nvtooltip {
  max-height: 60px!important;
  max-width: 60px!important;
}